Bug 7095 - Merge Marker Test Issues Unclear Failure Messages
Summary: Merge Marker Test Issues Unclear Failure Messages
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: 3.6
Hardware: All All
: PATCH-Sent (DO NOT USE) major (vote)
Target Milestone: ---
Assignee: Chris Nighswonger
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-26 15:27 UTC by Chris Nighswonger
Modified: 2012-10-25 23:09 UTC (History)
2 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Fix (988 bytes, patch)
2011-10-26 15:29 UTC, Chris Nighswonger
Details | Diff | Splinter Review
Bug 7095: Fixing cut and paste error and removing the use of diag() as this does not produce output when the test is run in a harness (1010 bytes, patch)
2011-11-03 02:57 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Nighswonger 2011-10-26 15:27:45 UTC
For example:

circulation.tt contains merge conflict markers; the test fails, but issues a message stating that no merge conflict markers were found:

not ok 5130 - ./koha-tmpl/intranet-tmpl/prog/en/modules/circ/circulation.tt has no merge conflict markers

This appears to be a simple cut and paste error.

Additionally, the failure message is augmented by a diag() message which gives the line in which the offending marker was found. However, diag() messages are only displayed when the test is run outside of a harness. This has the unwanted side-effect of leaving important information about the failure out when the test is run in harness such as during 'make test.'

The attached patch addresses both issues.
Comment 1 Chris Nighswonger 2011-10-26 15:29:48 UTC Comment hidden (obsolete)
Comment 2 Chris Nighswonger 2011-10-26 15:36:19 UTC
This should be applied to 3.4.x/3.6.x/master.
Comment 3 Chris Cormack 2011-11-03 02:57:09 UTC
Created attachment 6159 [details] [review]
Bug 7095: Fixing cut and paste error and removing the use of diag() as this does not produce output when the test is run in a harness

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 4 Paul Poulain 2011-11-18 21:54:44 UTC
QA comment: small patch, fixes a typo

patch pushed, please test